import greenfoot.*; 

public class Wire extends Actor
{
    public Bola bola=null;
    public Point point=null;
    
    public void update() 
    {
        int xo=0,yo=0,x=0,y=0;
 
        if(point!=null){
            xo=point.getX();
            yo=point.getY();
        }
        
        if(bola!=null){
            x=bola.getX();
            y=bola.getY();
        }
        
        int rx=x-xo;
        int ry=y-yo;
        double theta=Math.atan2(ry,rx);
        
        int r=1+(int)Math.sqrt(rx*rx+ry*ry);
        
        GreenfootImage image=new GreenfootImage(r,2);
        image.drawLine(0,0,r-1,1);
        setImage(image);
        setLocation((int)(0.5*(x+xo)),(int)(0.5*(y+yo)));
        setRotation((int)(theta*180/Math.PI));
    }    
}
